#!/usr/bin/env python3

from tkinter import *
from tkinter import ttk
from tkinter import scrolledtext
from threading import Thread
from time import sleep


class App(Frame):
    def __init__(self, parent):
        super().__init__(parent)
        self.spiner_var = StringVar()
        self.spiner = Spinbox(parent, from_=1, to=10, textvariable=self.spiner_var)
        self.spiner.grid(row=0, column=0)
        self.button = ttk.Button(parent, text="Run", command=self.button_click)
        self.button.grid(row=0, column=1)
        self.text = scrolledtext.ScrolledText(width=20, height=10)
        self.text.grid(row=1, column=0, columnspan=2, sticky=N+S+W+E)
        Grid.columnconfigure(parent, 0, weight=1)
        Grid.columnconfigure(parent, 1, weight=1)
        Grid.rowconfigure(parent, 1, weight=1)

    def button_click(self):
        self.button.configure(state=DISABLED)
        self.after(1000, self.print_text, int(self.spiner_var.get()), int(self.spiner_var.get()))

    def print_text(self, count, max):
        self.text.insert(INSERT, "From thread " + str(max - count) + "\n")
        if count > 0:
            self.after(1000, self.print_text, count - 1, max)
        else:
            self.button.configure(state=NORMAL)


root = Tk()
app = App(root)

root.mainloop()
